<template>
  <div class="goods-manage-wrap">
    <div class="filterBox">
      <div class="homeBoxTop">
        <span>
          <i class="icon iconfont iconsousuo"></i>&nbsp;筛选查询
        </span>
        <div class="rightBox">
          <span @click="showHelp()">
            <i class="el-icon-arrow-down" v-show="!isShow"></i>
            <i class="el-icon-arrow-up" v-show="isShow"></i>&nbsp;
            <i v-show="isShow">收起</i>
            <i v-show="!isShow">展开</i>&nbsp;筛选
          </span>
          <el-button size="small" class="w80 h40" @click="search">查询结果</el-button>
          <el-button size="small" class="w80 h40" @click="reset">重置</el-button>
        </div>
      </div>
      <el-collapse-transition>
        <div class="homeBoxBottom" v-if="isShow">
          <el-row style="width:100%">
            <el-col :span="8" class="el-col">
              <span class="span-style">角色名称：</span>
              <el-select
                v-model="list.projectId"
                filterable
                remote
                clearable
                placeholder="请输入角色名称"
                :remote-method="goodsNameRemote"
                style="margin-left:0px;"
                :loading="loading"
              >
                <el-option
                  v-for="item in projectName"
                  :key="item.id"
                  :label="item.name"
                  :value="item.id"
                ></el-option>
              </el-select>
            </el-col>
          </el-row>
        </div>
      </el-collapse-transition>
    </div>
    <div class="listBox">
      <div class="listBoxTop">
        <div class="listBoxTop-left">
          <span>
            <i class="iconfont iconshujuliebiao"></i>数据列表
          </span>
        </div>
        <div class="listBoxRight">
          <el-button size="small" @click="addRoles">
            <i class="iconfont icontianjiashangpin"></i>
            <span>添加</span>
          </el-button>
        </div>
      </div>
      <el-table
        :data="tableData"
        ref="multipleTable"
        border=""
        style="width: 100%"
        :cell-style="cellStyle"
        size="small"
      >
        <el-table-column 
          type="selection" 
          fixed="left" 
          width="55">
        </el-table-column>
        <el-table-column 
          prop="goodsNo" 
          label="角色ID" 
          align="center">
        </el-table-column>
        <el-table-column 
          prop="goodsName" 
          label="角色名称" 
          align="center">
        </el-table-column>
        <el-table-column 
          prop="goodsClassify" 
          label="角色描述" 
          align="center">
        </el-table-column>
        <el-table-column 
          prop="goodsPrice" 
          label="相关" 
          align="center">
        </el-table-column>
        <el-table-column fixed="right" label="操作" align="center" min-width="150px">
          <template slot-scope="scope">
            <el-button type="text" size="small" @click="editRloes(scope.row.id)">编辑</el-button>
            <el-button type="text" size="small" @click="goodsDisable(scope.row.id)">详情</el-button>
            <el-button type="text" size="small" @click="setPermission(scope.row.id)">设置操作权限</el-button>
          </template>
        </el-table-column>
      </el-table>
    </div>
    <div class="block" v-show="list.total!=0">
      <el-pagination
        @current-change="currentPageChange"
        @size-change="pageSizeChange"
        :current-page="list.pageNum"
        :page-size="list.pageSize"
        :page-sizes="[10,20,30,40,50,100,200,500]"
        layout="total,sizes, prev, pager, next, jumper"
        :total="list.total"
      ></el-pagination>
    </div>

    <set-permission :permissionData="permissionData"></set-permission>

    <el-dialog :title="fromTitle" :visible.sync="dialogForm">
      <el-form :model="form">
        <el-form-item label="角色名称：">
          <el-row>
            <el-col :span="8">
              <el-input v-model="form.name" ></el-input>
            </el-col>
          </el-row>
        </el-form-item>
        <el-form-item label="角色描述：">
          <el-row>
            <el-col :span="8">
              <el-input type="textarea" v-model="form.notice"></el-input>
            </el-col>
          </el-row>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button @click="dialogForm = false">取 消</el-button>
        <el-button type="primary" @click="dialogForm = false">确 定</el-button>
      </div>
    </el-dialog>

    <el-dialog :title="tipsTitle" :visible.sync="tipsDialog" width="30%" center>
      <span>{{tipsText}}</span>
      <span slot="footer" class="dialog-footer">
        <el-button @click="tipsDialog = false">取 消</el-button>
        <el-button type="primary" @click="tipsDialog = false">确 定</el-button>
      </span>
    </el-dialog>
  </div>
</template>

<script>
import { getGoodsStatus } from "@/api/goodsManage/goodsManage";

import SetPermission from './SetPermission'

export default {
  name: "PlacardManage",
  components: {
    SetPermission
  },
  data() {
    return {
      headerData: [],
      buttonshow: 0,
      isShow: false,
      list: {
        biddingNo: null,
        biddingResult: null,
        cityId: null,
        countyId: null,
        exteriorNo: null,
        eTime: null,
        sTime: null,
        priceQuoteStatus: null,
        projectId: null,
        provinceId: null,
        reportPreparedStatus: null,
        resultStatus: null,
        serverId: null,
        timeType: null,
        customerNameCustomize: null,
        winningBiddingCompany: null,
        winningBiddingCompanyNameCustomize: null,
        pageNum: 1,
        pageSize: 10,
        total: 0
      },
      tableData: [
        {
          goodsNo: "00001",
          goodsName: "咖啡",
          goodsClassify: "等等",
          goodsPrice: 12,
          discountRate: 0.1,
          discountPrice: 212,
          isDiscount: true,
          goodsStatus: "启用",
          url:
            "https://fuss10.elemecdn.com/e/5d/4a731a90594a4af544c0c25941171jpeg.jpeg",
          srcList: [
            "https://fuss10.elemecdn.com/8/27/f01c15bb73e1ef3793e64e6b7bbccjpeg.jpeg"
          ]
        }
      ],
      permissionData:{
        dialogPermission:false,
        permissionTitle:null
      },
      tipsTitle: null,
      tipsDialog: false,
      tipsText: null,
      fromTitle:null,
      form:{
        notice:null
      },
      dialogForm:false,
    };
  },
  created() {
    // this.getStatus();
  },
  methods: {
    headerButtonClick(index, status) {
      console.log(status);
    },
    getStatus() {
      getStatus().then(res => {
        this.headerData = res.data;
      });
    },
    showHelp() {
      this.isShow = !this.isShow;
    },
    search() {},
    reset() {},
    goodsNameRemote() {},
    addRoles() {
      this.fromTitle='添加角色'
      this.dialogForm = true;
    },
    exportGoods() {},
    editRloes() {
      this.fromTitle='编辑角色'
      this.dialogForm = true;
    },
    checkEdit(val) {},
    goodsDisable() {
      this.tipsDialog = true;
      this.tipsTitle = "禁用商品";
      this.tipsText = "确定禁用该商品？";
    },
    goodsEnable() {
      this.tipsDialog = true;
      this.tipsTitle = "启用商品";
      this.tipsText = "确定启用该商品？";
    },
    setPermission() {
      this.permissionData.permissionTitle='设置操作权限';
      this.permissionData.dialogPermission=true;

    },
    cellStyle({ row, column, rowIndex, columnIndex }) {
      if (row.isDiscount && (columnIndex == 7 || columnIndex == 8)) {
        return "color:red";
      }
    },
    pageSizeChange() {},
    currentPageChange() {},
  }
};
</script>

<style scoped lang='less'>
@color: #f3f3f3;
.goods-manage-wrap {
  width: 100%;
  box-sizing: border-box;
  .filterBox {
    font-size: 12px;
    background-color: #f3f3f3;
    margin-top: 10px;
    clear: both;
    border: 1px solid #e4e4e4;
    .homeBoxTop {
      height: 50px;
      display: flex;
      justify-content: space-between;
      line-height: 50px;
      padding-left: 20px;
      background-color: #f3f3f3;
      .head-left {
        display: flex;
        align-items: center;
      }
      .myicon {
        font-weight: bold;
        color: #666;
        font-size: 20px;
        line-height: 50px;
        margin-right: 5px;
      }
    }
    span {
      font-size: 14px;
      color: #303133;
    }
    .rightBox {
      float: right;
      span {
        cursor: pointer;
      }
      .myicon {
        color: #999;
        font-size: 10px;
      }
    }
    .el-button {
      float: right;
      height: 30px;
      margin: 10px 10px 0 10px;
    }
    .homeBoxBottom {
      display: flex;
      flex-wrap: wrap;
      border-top: 1px solid #e4e4e4;
      padding-top: 10px;
      /deep/.el-row {
        /deep/.el-col {
          display: flex;
          flex-wrap: nowrap;
        }
        .span-style {
          display: inline-block;
          width: 100px;
          text-align: right;
          line-height: 40px;
        }
        .el-input {
          width: 50%;
          height: 40px;
          margin-right: 10px;
          margin-bottom: 10px;
        }
        .el-select {
          width: 50%;
          height: 40px;
          margin-left: 10px;
          margin-bottom: 10px;
          .el-input {
            width: 100%;
          }
        }
        .el-autocomplete {
          width: 50%;
          height: 40px;
          .el-input {
            width: 100%;
          }
        }
      }
      .address-wrap {
        display: inline-flex;
        flex-wrap: nowrap;
        width: 80%;
        /deep/.el-select {
          width: 30%;
          .el-input {
            width: 100%;
          }
        }
      }
      .time-wrap {
        display: inline-flex;
        flex-wrap: nowrap;
        width: 100%;
        .time-title {
          width: 40%;
          display: inline-flex;
          flex-wrap: nowrap;
          /deep/.el-select {
            width: 65%;
          }
        }
        .time-box {
          width: 60%;
          height: 40px;
          display: flex;
          justify-content: flex-start;
          align-items: center;
          span {
            margin-left: 20px;
          }
          .el-date-editor {
            width: 50%;
            height: 40px;
            margin-left: 0;
            margin-bottom: 0;
          }
          .text {
            line-height: 40px;
          }
        }
      }
    }
  }
  .listBox {
    font-size: 12px;
    background-color: @color;
    border: 1px solid #e4e4e4;
    clear: both;
    margin: 10px 0 0 0;
    .listBoxTop {
      display: flex;
      justify-content: space-between;
      flex-shrink: 0;
      flex-grow: 0;
      flex-wrap: nowrap;
      .listBoxTop-left {
        margin-left: 10px;
        width: 85px;
        .myicon {
          margin-left: 20px;
          font-weight: bold;
          font-size: 20px;
        }
        span {
          margin-left: 5px;
          font-size: 14px;
          color: #303133;
          white-space: nowrap;
          line-height: 50px;
        }
      }
    }
    .listBoxRight {
      display: flex;
      justify-content: flex-end;
      flex-wrap: wrap;
      align-items: center;
      margin: 0 20px 0 0;
      .el-button {
        padding: 9px 15px;
        border-radius: 3px;
        font-size: 12px;
      }
    }
    /deep/.el-table {
      margin-top: -2px;
      /deep/.warning-row {
        background: #ffc1c1;
      }
      .el-button {
        font-size: 12px;
      }
      /deep/.class-name {
        .cell {
          color: red;
        }
      }
    }
  }
  .block {
    margin-top: 2px;
    display: flex;
    justify-content: flex-end;
  }
  /deep/.el-dialog {
    .el-dialog__header {
      text-align: left;
      background-color: #f2f2f2;
    }
    .dialog-footer {
      text-align: center;
    }
  }
  .my-scroll-bar {
    height: 200px;
  }
}
</style> 
